This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 456836 - systemtap-0.6.2-1.el5.src.rpm won't build
systemtap-0.6.2-1.el5.src.rpm won't build
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Frank Ch. Eigler
Petr Muller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-27 19:36 EDT by Vic
Modified: 2016-09-19 22:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-28 13:55:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vic 2008-07-27 19:36:23 EDT
Description of problem:
Rebuilding the SRPM fails


Version-Release number of selected component (if applicable):
0.6.2-1.el5


How reproducible:
Always


Steps to Reproduce:
1. rpmbuild --rebuild systemtap-0.6.2-1.el5.src.rpm
2. Watch build fail
3.
  
Actual results:
Failed build


Expected results:
Built RPM


Additional info:
systemtap-0.6.2-1.el5.src.rpm has a dependency on elfutils-devel-0.131 - but EL5
only has elfutils at version 0.125-3.el5 - there's no way this can build.
Comment 1 Frank Ch. Eigler 2008-07-27 20:04:36 EDT
Try again with

rpmbuild --define='dist .el5' --define='rhel 5' ...


Comment 2 Vic 2008-07-28 13:46:22 EDT
Yep - that works (well, I set up the defines in rpmmacros...)

Well spotted :-)
Comment 3 Frank Ch. Eigler 2008-07-28 13:55:18 EDT
Thanks for verifying.
Future versions will not behave this way.

Note You need to log in before you can comment on or make changes to this bug.